package com.lightinit.hsdataplatform.entity;

import java.util.Date;

public class BusinessMonitoring {
    private Long id;

    private String monitoringType;

    private Date startTime;

    private Date endTime;

    private Integer monitoringCycle;

    private Integer thresholdValue1;

    private Integer thresholdValue2;

    private Integer thresholdValue3;

    private String alertMethod;

    private Date alertTime;

    private Date createdAt;

    private Long createdBy;

    private Date deletedAt;

    private Long deletedBy;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getMonitoringType() {
        return monitoringType;
    }

    public void setMonitoringType(String monitoringType) {
        this.monitoringType = monitoringType == null ? null : monitoringType.trim();
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getMonitoringCycle() {
        return monitoringCycle;
    }

    public void setMonitoringCycle(Integer monitoringCycle) {
        this.monitoringCycle = monitoringCycle;
    }

    public Integer getThresholdValue1() {
        return thresholdValue1;
    }

    public void setThresholdValue1(Integer thresholdValue1) {
        this.thresholdValue1 = thresholdValue1;
    }

    public Integer getThresholdValue2() {
        return thresholdValue2;
    }

    public void setThresholdValue2(Integer thresholdValue2) {
        this.thresholdValue2 = thresholdValue2;
    }

    public Integer getThresholdValue3() {
        return thresholdValue3;
    }

    public void setThresholdValue3(Integer thresholdValue3) {
        this.thresholdValue3 = thresholdValue3;
    }

    public String getAlertMethod() {
        return alertMethod;
    }

    public void setAlertMethod(String alertMethod) {
        this.alertMethod = alertMethod == null ? null : alertMethod.trim();
    }

    public Date getAlertTime() {
        return alertTime;
    }

    public void setAlertTime(Date alertTime) {
        this.alertTime = alertTime;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public Date getDeletedAt() {
        return deletedAt;
    }

    public void setDeletedAt(Date deletedAt) {
        this.deletedAt = deletedAt;
    }

    public Long getDeletedBy() {
        return deletedBy;
    }

    public void setDeletedBy(Long deletedBy) {
        this.deletedBy = deletedBy;
    }
}